# Interface ISearchScopePage

All Superinterfaces:
  `IDialogPage, IPreferencePage`

All Known Implementing Classes:
  `RootScopePage`

public interface ISearchScopePage extends IPreferencePage
Preference pages that are used for editing help search scope settings should implement this interface.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`init(IEngineDescriptor ed, String scopeSetName)`
Initializes the search scope page.

### Methods inherited from interface IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

## Method Details

### init

void init(IEngineDescriptor ed, String scopeSetName)
Initializes the search scope page.

Parameters:
  `ed` - the descriptor of the engine associated with this page
  `scopeSetName` - the name of the current scope set that is used to group data shown in this page